# Class BimPropertySetReader

##### Index

### Constructors

constructor

### Properties

_decodedPropertySetByHashCache

### Methods

clear
decodePropertySets
getT8PropertySetForProduct

## Constructors

### constructor

- new BimPropertySetReader(): BimPropertySetReader

  #### Returns BimPropertySetReader

## Properties

### `Readonly`_decodedPropertySetByHashCache

_decodedPropertySetByHashCache: Map<string, DecodedPropertySet> = ...

## Methods

### clear

- clear(): void

  #### Returns void

### decodePropertySets

- decodePropertySets(
  bimIfcPropertiesResponse: BimIfcPropertiesResponse,
  ): readonly DecodedPropertySet[]

  #### Parameters

  - bimIfcPropertiesResponse: BimIfcPropertiesResponse

  #### Returns readonly DecodedPropertySet[]

### getT8PropertySetForProduct

- getT8PropertySetForProduct(
  ifcObject: BimIfcObject,
  decoded: DecodedPropertySet,
  ): T8PropertySet<T8Unit>

  #### Parameters

  - ifcObject: BimIfcObject
  - decoded: DecodedPropertySet

  #### Returns T8PropertySet<T8Unit>